package com.kdanmobile.android.common.extension

import android.os.Build
import android.text.Html
import android.text.Spanned
import java.util.regex.Pattern

/**
 * @classname:
 * @auther: LiuXiaoLong
 * @date: 2022/7/29
 * description:
 */

fun ByteArray.toHex() : String{
    return joinToString(separator = ""){eachByte->
        "%02x".format(eachByte)
    }.uppercase()
}


fun CharSequence?.isEmail(): Boolean {
    fun isMatch(regex: String?, input: CharSequence?): Boolean {
        return input != null && input.isNotEmpty() && Pattern.matches(regex, input)
    }
    return isMatch("^\\w+([-+.]\\w+)*@\\w+([-.]\\w+)*\\.\\w+([-.]\\w+)*$", this)
}

fun String.fromHtml(): Spanned? {
    return when {
        Build.VERSION.SDK_INT >= Build.VERSION_CODES.N -> Html.fromHtml(this, Html.FROM_HTML_MODE_LEGACY)
        else -> Html.fromHtml(this)
    }
}