package com.kdanmobile.android.common.manager

import android.app.Activity
import android.app.Application.ActivityLifecycleCallbacks
import android.os.Bundle
import com.kdanmobile.android.common.config.MyPdfBaseModule


/**
 * @author: hubowen
 * @date: 2021/9/23
 * @description:
 */
object AppStatusConstant {
    const val STATUS_FORCE_KILLED = -1 //应用放在后台被强杀了
    const val STATUS_NORMAL = 1 //APP正常态
}

object AppStatusManager : ActivityLifecycleCallbacks {
    //默认被初始化状态，被系统回收(强杀)状态
    var appStatus = AppStatusConstant.STATUS_FORCE_KILLED

    //是否前台
    var isForGround = false

    //Activity运行个数
    private var activeCount = 0

    init {
        MyPdfBaseModule.myApplication?.registerActivityLifecycleCallbacks(this)
    }

    override fun onActivityCreated(activity: Activity, savedInstanceState: Bundle?) {}
    override fun onActivityStarted(activity: Activity) {
        activeCount++
    }

    override fun onActivityResumed(activity: Activity) {
        isForGround = true
    }

    override fun onActivityPaused(activity: Activity) {}
    override fun onActivityStopped(activity: Activity) {
        activeCount--
        if (activeCount == 0) isForGround = false
    }

    override fun onActivitySaveInstanceState(activity: Activity, outState: Bundle) {}
    override fun onActivityDestroyed(activity: Activity) {}
}