package com.kdanmobile.android.common.utils.firebase

import android.os.Bundle
import android.os.Parcelable
import com.google.firebase.analytics.FirebaseAnalytics
import com.kdanmobile.android.common.config.MyPdfBaseModule
import java.io.Serializable
import java.util.ArrayList

/**
 * @classname:
 * @auther: LiuXiaoLong
 * @date: 2022/7/29
 * description: firebase埋点
 */
object FirebaseEventUtils {

    private val mFirebaseAnalytics : FirebaseAnalytics by lazy(LazyThreadSafetyMode.SYNCHRONIZED){
        FirebaseAnalytics.getInstance(MyPdfBaseModule.getAppContext()!!).apply {
            setAnalyticsCollectionEnabled(true)
        }
    }


    fun logEvent(eventName : String, bundle : (Bundle)-> Unit){
        mFirebaseAnalytics.logEvent(eventName, Bundle().apply {
            bundle.invoke(this)
        })
    }

    fun logEvent(eventName: String, bundle: Bundle){
        mFirebaseAnalytics.logEvent(eventName, bundle)
    }


}